<?
$system['title'] ='Сервис проверки WMID';
require SYS . 'header.php';
$brodagaWmid = (preg_match('/^([0-9]+)$/', isset($_REQUEST['wmid'])) ? $_REQUEST['wmid'] : 0);

   
function writeCacheBan($content, $filename) {
  $fp = fopen(ROOT.'/_servis/' . $filename, 'w');
  fwrite($fp, $content);
  fclose($fp);
}
      
      function readCacheBan($filename, $expiry) {
  if (file_exists(ROOT.'/_servis/' . $filename)) {
    if ((time() - $expiry) > filemtime('_servis/' . $filename))
      return FALSE;
    $cache = file(ROOT.'/_servis/' . $filename);
    return implode('', $cache);
  }
  return FALSE;
} 
 
  ob_start();
$name = md5($brodagaWmid .'wmidBrodaga');
if (!$main2_cache = readCacheBan($name.'.wmidBrodaga.cache', 86400)){

//Кэширование

require FUNC . 'Brodaga.WebmoneyFunc.php';
$wmid = (preg_match('/^([0-9]+)$/', isset($_REQUEST['wmid'])) ? $_REQUEST['wmid'] : false);
//$wmid= abs($_REQUEST['wmid']);
  if (isset($_POST['submit']))
  {

//$wmid="270326160334";
$r=_WMXML11($wmid);

if($r['retval']=='1001'){echo "<div class='nav1'>Информация об аттестате не получена. Возможно, неверно указан WMID.</div>";
?>
<div class='nav1'>
<form action="/?func=wap.master" method="post">
  Введите WMID который нужно проверить: <br /><input type="text" name="wmid" value="" size="13"><br>
  Например: 136375944380,<br>
  <input type="submit" name="submit" value="Получить информацию">
  <input type="hidden" name="id" value="">
</form>
</div>
<?
require SYS . 'end.php';
exit;
}
?><div class='nav1'><?
echo "WMID - <a href='https://passport.webmoney.ru/asp/certview.asp?wmid=".$wmid." ' />".$wmid."</a><br>";
//echo "Результат (0 - успешно) = ".$r['retval']."<br>";

$nickname = $r['nickname'];
if($nickname=='') $nickname = $wmid;
echo "Никнем - <b style='color: #8B008B;'>".$nickname."</b><br>";

if($r['att']=='100') $desc_att = "<b style='color: red;'>Аттестат псевдонима</b>";
if($r['att']=='110') $desc_att = "<b style='color: blue;'>Формальный Аттестат</b>";
if($r['att']=='120') $desc_att = "<b style='color: green;'>Начальный Аттестат</b>";
if($r['att']=='130') $desc_att = "<b style='color: #B8860B;'>Персональный Аттестат</b>";
if($r['att']=='135') $desc_att = "<b style='color: #808000;'>Аттестат Продавца</b>";
if($r['att']=='136') $desc_att = "<b style='color: #191970;'>Аттестат Capitaller</b>";
if($r['att']=='140') $desc_att = "<b style='color: #191970;'>Аттестат Разработчика</b>";
if($r['att']=='150') $desc_att = "<b style='color: #191970;'>Аттестат Регистратора</b>";
if($r['att']=='170') $desc_att = "<b style='color: #191970;'>Аттестат Гаранта</b>";
if($r['att']=='190') $desc_att = "<b style='color: #191970;'>Аттестат Сервиса WMT</b>";
if($r['att']=='200') $desc_att = "<b style='color: #191970;'>Аттестат Сервиса WMT</b>";
if($r['att']=='300') $desc_att = "<b style='color: #191970;'>Аттестат Оператора</b>";

if($r['recalled']=='0') $statuser = "<b style='color: green;'>Обслуживается</b><br />";
if($r['recalled']=='1') $statuser = "<b style='color: red;'>Владельцу данного Аттестата отказано в обслуживании в системе.</b><br />";

if($r['att']=='136') $desc2_att = "<img src='https://passport.webmoney.ru/images/person.gif' title='Аттестат выдан после личной встречи с Аттестатором' width='32' height='32' '>";

if($r['att']=='140') $desc2_att = "<img src='https://passport.webmoney.ru/images/person.gif' title='Аттестат выдан после личной встречи с Аттестатором' width='32' height='32' '>";

if($r['att']=='150') $desc2_att = "<img src='https://passport.webmoney.ru/images/person.gif' title='Аттестат выдан после личной встречи с Аттестатором' width='32' height='32' '>";

if($r['att']=='170') $desc2_att = "<img src='https://passport.webmoney.ru/images/person.gif' title='Аттестат выдан после личной встречи с Аттестатором' width='32' height='32' '>";

if($r['att']=='190') $desc2_att = "<img src='https://passport.webmoney.ru/images/person.gif' title='Аттестат выдан после личной встречи с Аттестатором' width='32' height='32' '>";

if($r['att']=='200') $desc2_att = "<img src='https://passport.webmoney.ru/images/person.gif' title='Аттестат выдан после личной встречи с Аттестатором' width='32' height='32' '>";

if($r['att']=='300') $desc2_att = "<img src='https://passport.webmoney.ru/images/person.gif' title='Аттестат выдан после личной встречи с Аттестатором' width='32' height='32' '>";


if($r['notary']=='0' && $r['att']>='120' && $r['status']=='11') $desc2_att = "<img src='https://passport.webmoney.ru/images/person.gif' title='Аттестат выдан после личной встречи с Аттестатором' width='32' height='32' '>";
if($r['notary']=='1' && $r['att']>='120' && $r['status']=='11') $desc2_att = "<img src='https://passport.webmoney.ru/images/letter.gif' title='Аттестат выдан по нотариально заверенным документам' width='32' height='32' '>";
if($r['notary']=='2' && $r['att']>='120' && $r['status']=='11') $desc2_att = "<img src='http://wiki.webmoney.ru/files/2013/02/130201223901_MTS.png' title='Начальный аттестат выдан автоматически по результатам успешного пополнения кошелька' width='32' height='32' '>";

if($r['pasdoc']=='0') $shop1 = "<img src='/_images/img_s/3.png' title='Владелец данного WMID не предоставил скан (фотокопию) своего паспорта' width='32' height='32' '>";
if($r['regdoc']=='0') $shop2 = "<img src='/_images/img_s/2.png' title='Владелец данного WMID не предоставил скан (фотокопию) страницы паспорта с информацией о месте постоянной регистрации' width='32' height='32' '>";
if($r['inndoc']=='0') $shop3 = "<img src='/_images/img_s/4.png' title='Владелец данного WMID не предоставил скан (фотокопию) свидетельства о присвоении ИНН' width='32' height='32' '>";
if($r['photoid']=='0') $shop4 = "<img src='/_images/img_s/1.png' title='У данного WMID не имеется PhotoID' width='32' height='32' '>";

if($r['pasdoc']=='1') $shop1 = "<img src='http://passport.webmoney.ru/images/pasdoc.png' title='Владелец данного WMID предоставил скан (фотокопию) своего паспорта и этот документ был сверен с персональными данными его WM-идентификатора' width='32' height='32' '>";
if($r['regdoc']=='1') $shop2 = "<img src='http://passport.webmoney.ru/images/address.png' title='Владелец данного WMID предоставил скан (фотокопию) страницы паспорта с информацией о месте постоянной регистрации и этот документ был сверен с персональными данными его WM-идентификатора' width='32' height='32' '>";
if($r['inndoc']=='1') $shop3 = "<img src='http://passport.webmoney.ru/images/inndoc.png' title='Владелец данного WMID предоставил скан (фотокопию) свидетельства о присвоении ИНН и этот документ был сверен с персональными данными его WM-идентификатора' width='32' height='32' '>";
if($r['photoid']=='1') $shop4 = "<img src='http://passport.webmoney.ru/images/photo.png' title='У данного WMID имеется проверенный PhotoID' width='32' height='32' '>";

if($r['status']=='11' && $r['att']>='120') $btr= "Вторичная проверка: <b style='color: green;'>Произведена</b><br>";
if($r['status']=='10' && $r['att']>='120') $btr= "Вторичная проверка: <b style='color: red;'>Не Произведена</b><br>";
//if($r['fname-check-lock']=='00')$webmoney= "Доступ закрыт";

echo "Аттестат - ".$desc_att."<br>";
if($r['att']>='120')echo $btr;
echo "Статус: ".$statuser;
if($r['att']>='120')echo $desc2_att;

if($r['att']>='110')echo $shop1 . $shop2. $shop3. $shop4;
//$temp_wmid = $wmid;
//while(list($k,$v)=each($r['wmids'])) { echo  $v." [BL: "; $wmidv=$v; $wmid=$v; echo "<img src='https://bl.wmtransfer.com/img/bl/".$v."?w=35&h=18&bg=0XDBE2E9'/> "; echo "]"; echo "<br>"; }
$temp_wmid = $wmid;
echo "<br />BL <img src='https://bl.wmtransfer.com/img/bl/".$temp_wmid."?w=35&h=18&bg=0XDBE2E9'/> 
<br/>Претензии/Отзывы<br/>
<img src='https://arbitrage.webmoney.ru/xml/AL.aspx?wmid=".$temp_wmid." '/>
";  
echo "<br>";
echo "Время жизни Аттестата: - ".$r['datediff']." дн.<br>";

if($r['byear']=='') { $age = "N/A"; $r['byear'] = "N/A"; }
echo "Год рождения - ".$r['byear']."<br>";
$age = date("Y") - $r['byear']; 
if($r['byear']=="N/A") $age = "N/A"; 
echo "Возраст - ".$age."<br>";
echo "Фамилия Имя Отчество: - ".$r['fname'] . " " . $r['iname'] . " " . $r['oname']."<br>";

//echo "Проверить WMID по Ч/С:";
echo "Поиск информации в: <a target='_blank' href='http://www.google.com/m?q=wmid:".$temp_wmid." '>Google</a><br />";
echo "Проверить WMID в <a target='_blank' href='http://banbase.ru/api/search/?wmid=".$temp_wmid." '/>BanBase.Ru</a>";
///echo "Проверить WMID в <a target='_blank' href='http://forum.wen.ru/?p=12&sw=any&q=".$temp_wmid."&w=htm&find=1'>Forum.Wen.Ru</a><br />";
?></div><?
}

  $main2_cache = ob_get_contents();
    ob_clean();
$name = md5($brodagaWmid .'wmidBrodaga');
    writeCacheBan($main2_cache,$name.'.wmidBrodaga.cache');
} 

ob_end_clean();
echo $main2_cache; 
?>
<div class='nav2'>
<form action="/?func=wap.master" method="post">
  Введите WMID который нужно проверить: <br /><input type="text" name="wmid" value="" size="13"><br>
  Например: 383701637577,<br>
  <input type="submit" name="submit" value="Получить информацию">
  <input type="hidden" name="id" value="">
</form></div>
<div class='foot'>&laquo; <a href='/?func=wap.servis' />назад</a></div>